@use 'shop/resources/scss/base/constants/breakpoints';

// ** S VIEW

// from a mobile-first design perspective, most of the s-view breakpoints are a bit pointless.
// the most (only?) useful one of these is probably screen-s().

@mixin screen-s-and-up {
  @media screen and (min-width: #{breakpoints.$screen-s-min}) {
	@content;
  }
}

@mixin screen-s-strict {
  @media screen and (min-width: #{breakpoints.$screen-s-min}) and (max-width: #{breakpoints.$screen-s-max}) {
	@content;
  }
}

@mixin screen-s-loose {
  @media screen and (max-width: #{breakpoints.$screen-s-max}) {
	@content;
  }
}

@mixin screen-s {
  @include screen-s-loose {
	@content;
  }
}

// ** M VIEW

@mixin screen-m-and-up {
  @media screen and (min-width: #{breakpoints.$screen-m-min}) {
	@content;
  }
}

@mixin screen-m {
  @media screen and (min-width: #{breakpoints.$screen-m-min}) and (max-width: #{breakpoints.$screen-m-max}) {
	@content;
  }
}

// ** S + M only

@mixin screen-s-and-m {
  @media screen and (max-width: #{breakpoints.$screen-m-max}) {
	@content;
  }
}

// ** L VIEW

@mixin screen-l-and-up {
  @media screen and (min-width: #{breakpoints.$screen-l-min}) {
	@content;
  }
}

@mixin screen-l {
  @media screen and (min-width: #{breakpoints.$screen-l-min}) and (max-width: #{breakpoints.$screen-l-max}) {
	@content;
  }
}

// ** XL VIEW

@mixin screen-xl-and-up {
  @media screen and (min-width: #{breakpoints.$screen-xl-min}) {
	@content;
  }
}

@mixin screen-xl {
  @media screen and (min-width: #{breakpoints.$screen-xl-min}) and (max-width: #{breakpoints.$screen-xl-max}) {
	@content;
  }
}
